Get versioned prompt
curl --request GET \
--url https://api.vogent.ai/api/agents/{agentId}/versioned_prompts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/agents/{agentId}/versioned_prompts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/agents/{agentId}/versioned_prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"agentType": "STANDARD",
"prompt": "<string>",
"flowDefinition": {
"nodes": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"transitionRules": [
{
"conditionType": "always",
"transitionNodeId": "<string>",
"arrayConditionType": "any",
"field": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
],
"nodeData": {},
"outputSchema": "<string>"
}
],
"globalContext": "<string>",
"aiOpen": true,
"openingLineType": "INBOUND_ONLY"
},
"aiModelId": "<string>",
"modelOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
]
}Versioned Prompts
Get versioned prompt
Gets a specific versioned prompt for a given agent.
GET
/
agents
/
{agentId}
/
versioned_prompts
/
{id}
Get versioned prompt
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Response
Successful operation
Unique identifier for the versioned prompt
Human-readable name for the versioned prompt
The type of agent this prompt is designed for (STANDARD or CUSTOM_FLOW)
Available options:
STANDARD, CUSTOM_FLOW The actual prompt content that will be used by the agent. Can be null for CUSTOM_FLOW agent types
The flow definition for the agent. Only defined for CUSTOM_FLOW agent types.
Show child attributes
Show child attributes
The AI model ID to use for the agent.
Show child attributes
Show child attributes